// Copyright (c) 2021 Tencent. All rights reserved.

#ifndef LEB_NETWORK_BASE_THROTTER_H_
#define LEB_NETWORK_BASE_THROTTER_H_

#include <stdint.h>

namespace base {

class Throtter {
 public:
  // throtter |interval| in ms
  explicit Throtter(int interval_ms);

  bool ShouldGo();

 private:
  int interval_ms_;
  uint64_t last_go_timestamp_;
};

}  // namespace base

#endif  // LEB_NETWORK_BASE_THROTTER_H_
