// Copyright (c) 2021 Tencent. All rights reserved.

#ifndef LEB_NETWORK_CHANNEL_RECEIVER_H_
#define LEB_NETWORK_CHANNEL_RECEIVER_H_

#include "leb_network/internal_defines.h"

namespace liteav {
namespace lebnetwork {

class ChannelReceiver : public RTCRtpReceiverDelegate,
                        public RtpPacketSinkInterface {
 public:
  ChannelReceiver(std::shared_ptr<RTCPeerConnection> pc,
                  LEBConnection::Client* client);
  virtual ~ChannelReceiver();

 protected:
  std::shared_ptr<RTCPeerConnection> pc_;
  LEBConnection::Client* client_;
};

}  // namespace lebnetwork
}  // namespace liteav

#endif  // LEB_NETWORK_CHANNEL_RECEIVER_H_
