// Copyright (c) 2021 Tencent. All rights reserved.

#include "leb_network/leb_defines.h"

#include <utility>

namespace liteav {
namespace lebnetwork {

SdpInfo::SdpInfo() = default;
SdpInfo::SdpInfo(SdpInfo&&) = default;
SdpInfo::~SdpInfo() = default;
SdpInfo& SdpInfo::operator=(SdpInfo&&) = default;

VideoInfo::VideoInfo() = default;
VideoInfo::VideoInfo(VideoInfo&&) = default;
VideoInfo::~VideoInfo() = default;
VideoInfo& VideoInfo::operator=(VideoInfo&&) = default;

AudioInfo::AudioInfo() = default;
AudioInfo::AudioInfo(AudioInfo&&) = default;
AudioInfo::~AudioInfo() = default;
AudioInfo& AudioInfo::operator=(AudioInfo&&) = default;

EncodedVideoFrame::EncodedVideoFrame() = default;
EncodedVideoFrame::EncodedVideoFrame(EncodedVideoFrame&&) = default;
EncodedVideoFrame::~EncodedVideoFrame() = default;
EncodedVideoFrame& EncodedVideoFrame::operator=(EncodedVideoFrame&&) = default;

EncodedAudioFrame::EncodedAudioFrame() = default;
EncodedAudioFrame::EncodedAudioFrame(EncodedAudioFrame&&) = default;
EncodedAudioFrame::~EncodedAudioFrame() = default;
EncodedAudioFrame& EncodedAudioFrame::operator=(EncodedAudioFrame&&) = default;

Metadata::Metadata() = default;
Metadata::Metadata(Metadata&&) = default;
Metadata::~Metadata() = default;
Metadata& Metadata::operator=(Metadata&&) = default;

}  // namespace lebnetwork
}  // namespace liteav
