// Copyright (c) 2021 Tencent. All rights reserved.

#ifndef ACM_PACKET_H
#define ACM_PACKET_H

#include "rtp_header.h"
#include "rtp_packet.h"

namespace media_transport {

class ACMPacket : public RtpPacket {

//TO-DO
public:

  size_t payload_size() const override;
  

  void reset() override;
  
  const uint8_t* payload() const override;
  
  void setPayLoadBuffer(void *dataBuffer, size_t size) override;
  
};

}
#endif /* ACM_PACKET_H */
