// Copyright (c) 2021 Tencent. All rights reserved.

#ifndef RTC_MACROS_H
#define RTC_MACROS_H

#define RTC_OBJC_EXPORT __attribute__((visibility("default")))

#if defined(__cplusplus)
#define RTC_EXTERN extern "C" RTC_OBJC_EXPORT
#else
#define RTC_EXTERN extern RTC_OBJC_EXPORT
#endif


#if defined(WEBRTC_WIN)
#define RTC_EXPORT_API __declspec(dllexport)
#elif defined(WEBRTC_ANDROID)
#define RTC_EXPORT_API __attribute__((visibility("default")))
#else
#define RTC_EXPORT_API __attribute__((visibility("default")))
#endif

#endif  // RTC_MACROS_H
