// Copyright (c) 2021 Tencent. All rights reserved.

#ifndef VCM_PACKET_H
#define VCM_PACKET_H

#include "rtp_header.h"
#include "rtp_packet.h"

namespace media_transport {



class VCMPacket : public RtpPacket {
public:
  /*B帧时 cts*/
  uint32_t video_composition_time;

public:

  size_t payload_size() const override;
  

  void reset() override;
  
  const uint8_t* payload() const override;
  
  void setPayLoadBuffer(void *dataBuffer, size_t size) override;
  
};

}

#endif /* VCM_PACKET_H */
