// Copyright (c) 2021 Tencent. All rights reserved.

#include "leb_network/channel_receiver.h"

namespace liteav {
namespace lebnetwork {

ChannelReceiver::ChannelReceiver(std::shared_ptr<RTCPeerConnection> pc,
                                 LEBConnection::Client* client)
    : pc_(pc), client_(client) {}

ChannelReceiver::~ChannelReceiver() { client_ = nullptr; }

}  // namespace lebnetwork
}  // namespace liteav
